Package org.eclipse.birt.report.model.api.elements.table

# Class BasicLayoutStrategies

java.lang.Object
org.eclipse.birt.report.model.api.elements.table.BasicLayoutStrategies

public class BasicLayoutStrategies extends Object
The strategy to recover the table from an invalid layout to a valid one. It may includes solve problems in the layout such as the overlapped areas, the empty areas.

## Constructor Summary

Constructors
Constructor
Description
`BasicLayoutStrategies()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`appliesStrategies(LayoutTable layoutTable, boolean fillsEmptyCells)`
Applies different strategies to the layout table and table element with the given options.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicLayoutStrategies

public BasicLayoutStrategies()

## Method Details

### appliesStrategies

public static void appliesStrategies(LayoutTable layoutTable, boolean fillsEmptyCells)
Applies different strategies to the layout table and table element with the given options.

Parameters:
  `layoutTable` - the layout table to apply strategies
  `fillsEmptyCells` - `true` if cell elements are filled in empty areas. Otherwise `false`.